org.jbpm.process.audit.command

## Class AuditNodeInstanceLogQueryCommand

- java.lang.Object
- - org.jbpm.process.audit.command.AuditCommand<List<org.kie.api.runtime.manager.audit.NodeInstanceLog>>
  - - org.jbpm.process.audit.command.AuditNodeInstanceLogQueryCommand

- All Implemented Interfaces:
    Serializable, org.kie.api.command.Command<List<org.kie.api.runtime.manager.audit.NodeInstanceLog>>, org.kie.api.command.ExecutableCommand<List<org.kie.api.runtime.manager.audit.NodeInstanceLog>>

      public class AuditNodeInstanceLogQueryCommand
      extends AuditCommand<List<org.kie.api.runtime.manager.audit.NodeInstanceLog>>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.process.audit.command.AuditCommand

      `auditLogService`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuditNodeInstanceLogQueryCommand()`
    `AuditNodeInstanceLogQueryCommand(org.jbpm.query.jpa.data.QueryWhere queryWhere)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.kie.api.runtime.manager.audit.NodeInstanceLog>` | `execute(org.kie.api.runtime.Context context)`

    - ### Methods inherited from class org.jbpm.process.audit.command.AuditCommand

      `setAuditLogService, setLogEnvironment`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuditNodeInstanceLogQueryCommand

          public AuditNodeInstanceLogQueryCommand()

    - #### AuditNodeInstanceLogQueryCommand

          public AuditNodeInstanceLogQueryCommand(org.jbpm.query.jpa.data.QueryWhere queryWhere)

  - ### Method Detail

    - #### execute

          public List<org.kie.api.runtime.manager.audit.NodeInstanceLog> execute(org.kie.api.runtime.Context context)

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.